LINUX.ORG.RU

Не могу установить PHP-5.2 FastCGI ( Centos 6.5, ISPconfig 3) internal error 500

 ,


0

1

Здравствуйте я новичок, у меня дома поставил сервер на нем CentOS_6.5 и ISPconfig_3 нужна yстановить PHP-5.2 для старого сайта. PHP-5.3 установлена по умолчаню и еще утановил PHP-5.4 по FastCGI, работают отлично. А вот при установке PHP-5.2 по FastCGI дает ошибку «ERROR 500 - Internal Server Error!» на сайте. Помагите пожалуста.

error_log

X-Powered-By: PHP/5.2.17 Content-type: text/html

suexec.log

[2014-01-04 22:35:44]: uid: (5004/web1) gid: (5006/client1) cmd: .php-fcgi-starter

Добавьте в начале на страницу вызов phpinfo, что бы удостовериться, что на вашем проблемном сайте для обработки php используется PHP5.2.

Ну и для начала попробуйте выставить права 0777 на директорию, в которой находится корень сайта и сделать владельцем этой директории пользователя, от которого запускается web сервер.

kostik87 ★★★★★ ()
Ответ на: комментарий от kostik87

сделал как вы сказали

теперь на месте сайта index.php а на нем <?php phpinfo(); ?>

и 777 поставил корневую

не чего не изненилось, тот же error и на логах тоже самое а php-5.4 по fastcgi отлично работает и показывает таблицу phpinfo

sek8888 ()
Ответ на: сделал как вы сказали от sek8888

ну значит нужно смотреть конфиги.

И в чём необходимость именно php5.2, если есть php5.3 и уж тем более php5.4.

Если есть нюансы в коде, то перепишите его в соответствие php5.3 или php5.4

kostik87 ★★★★★ ()
Ответ на: комментарий от kostik87

сайт готовый и написал другой,на 5.2 нормально работает а вот с 5.3 не работает часть, я просто не хочу сайт трогать.

sek8888 ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.